Rensei docs
API ReferenceWorker Protocol

Report tool execution error

Report tool execution error - Rensei REST API operation reference.

POST
/api/sessions/{id}/tool-error

Authorization

headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Path Parameters

id*string

Request Body

application/json
  1. body
workerId*string
toolName*string
errorMessage*string
context?

Response Body

Error reported.

application/json
  1. response
reported?boolean
Example Request
curl -X POST 'https://app.rensei.ai/api/sessions/string/tool-error' \  -H 'Content-Type: application/json' \  -d '{  "workerId": "string",  "toolName": "string",  "errorMessage": "string"}'
Example Response
{  "reported": true}